ReusableVectorTestDataType Class Reference

## Public Member Functions

void | clear ()

## Public Attributes

int | myValue

## Static Public Attributes

static int | ourValue = 0
static int | ourNumDestructs = 0

## Detailed Description

Definition at line 34 of file ReusableVectorTest.h.

## Constructor & Destructor Documentation

## ReusableVectorTestDataType()

ReusableVectorTestDataType::ReusableVectorTestDataType | ( |  | ) |

Definition at line 183 of file ReusableVectorTest.cpp.

{
myValue = ourValue++;
}

## ~ReusableVectorTestDataType()

ReusableVectorTestDataType::~ReusableVectorTestDataType | ( |  | ) |

Definition at line 189 of file ReusableVectorTest.cpp.

{
++ourNumDestructs;
}

## Member Function Documentation

## clear()

void ReusableVectorTestDataType::clear | ( |  | ) |

inline

Definition at line 40 of file ReusableVectorTest.h.

{}

## Member Data Documentation

## myValue

int ReusableVectorTestDataType::myValue

Definition at line 44 of file ReusableVectorTest.h.

## ourNumDestructs

int ReusableVectorTestDataType::ourNumDestructs = 0

static

Definition at line 46 of file ReusableVectorTest.h.

## ourValue

int ReusableVectorTestDataType::ourValue = 0

static

Definition at line 42 of file ReusableVectorTest.h.

The documentation for this class was generated from the following files:

- general/test/reusableVector/ReusableVectorTest.h
- general/test/reusableVector/ReusableVectorTest.cpp